Package: groovy.util

## [Java] Class XmlUtil

- groovy.util.XmlUtil

-     @Deprecated
      public class XmlUtil
      extends Object

  Used for pretty printing XML content and other XML related utilities.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `serialize(GPathResult node)` Return a pretty version of the GPathResult.
    `` | `public static void` | `serialize(GPathResult node, OutputStream os)` Write a pretty version of the GPathResult to the OutputStream.
    `` | `public static void` | `serialize(GPathResult node, Writer w)` Write a pretty version of the GPathResult to the Writer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Deprecated public static String serialize(GPathResult node)

      Return a pretty version of the GPathResult.

      Parameters:
        `node` - a GPathResult to serialize to a String
      Returns:
        the pretty String representation of the GPathResult

    - #### @Deprecated public static void serialize(GPathResult node, OutputStream os)

      Write a pretty version of the GPathResult to the OutputStream.

      Parameters:
        `node` - a GPathResult to serialize
        `os` - the OutputStream to write to

    - #### @Deprecated public static void serialize(GPathResult node, Writer w)

      Write a pretty version of the GPathResult to the Writer.

      Parameters:
        `node` - a GPathResult to serialize
        `w` - the Writer to write to